    The XSPEC smedge model: smeared edge.

xssmedge
The xssmedge model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xssmedge", "mdl")
>>> print(mdl)

Create a component of the xssmedge model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.edgeE thawed 7 0.1 100 keV mdl.MaxTau thawed 1 0 10 mdl.index frozen -2.67 -10 10 mdl.width thawed 10 0.01 100

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
edgeE
The threshold edge, in keV.
MaxTau
The maximum absorption factor at the threshold.
index
The index for photo-electric cross-section.
width
The smearing width, in keV.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelSmedge.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023